"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResizeDetectorDiv = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
var react_resize_detector_1 = require("react-resize-detector");
var ResizeDetectorDiv = function (props) {
    var children = props.children;
    var _a = (0, react_resize_detector_1.useResizeDetector)(), width = _a.width, height = _a.height, ref = _a.ref;
    var onResize = props.onResize, divProps = __rest(props, ["onResize"]);
    var onResizeByRef = function () {
        var _a, _b;
        if ((0, lodash_1.isNumber)((_a = ref === null || ref === void 0 ? void 0 : ref.current) === null || _a === void 0 ? void 0 : _a.scrollWidth) && (0, lodash_1.isNumber)(ref.current.scrollHeight)) {
            onResize((_b = ref === null || ref === void 0 ? void 0 : ref.current) === null || _b === void 0 ? void 0 : _b.scrollWidth, ref.current.scrollHeight, ref);
        }
    };
    (0, react_1.useEffect)(function () {
        if (!((0, lodash_1.isNumber)(width) && width > 0))
            onResizeByRef();
    }, []);
    (0, react_1.useEffect)(function () {
        if ((0, lodash_1.isNumber)(width) && (0, lodash_1.isNumber)(height)) {
            onResize(width, height);
        }
        else {
            onResizeByRef();
        }
    }, [width, height]);
    return (react_1.default.createElement("div", __assign({ ref: ref }, divProps), children));
};
exports.ResizeDetectorDiv = ResizeDetectorDiv;
exports.default = exports.ResizeDetectorDiv;
//# sourceMappingURL=resize-detector-div.js.map