//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useEffect } from "react";
import { isNumber } from "lodash";
import { useResizeDetector } from "react-resize-detector";
export var ResizeDetectorDiv = function (props) {
    var children = props.children;
    var _a = useResizeDetector(), width = _a.width, height = _a.height, ref = _a.ref;
    var onResize = props.onResize, divProps = __rest(props, ["onResize"]);
    var onResizeByRef = function () {
        var _a, _b;
        if (isNumber((_a = ref === null || ref === void 0 ? void 0 : ref.current) === null || _a === void 0 ? void 0 : _a.scrollWidth) && isNumber(ref.current.scrollHeight)) {
            onResize((_b = ref === null || ref === void 0 ? void 0 : ref.current) === null || _b === void 0 ? void 0 : _b.scrollWidth, ref.current.scrollHeight, ref);
        }
    };
    useEffect(function () {
        if (!(isNumber(width) && width > 0))
            onResizeByRef();
    }, []);
    useEffect(function () {
        if (isNumber(width) && isNumber(height)) {
            onResize(width, height);
        }
        else {
            onResizeByRef();
        }
    }, [width, height]);
    return (React.createElement("div", __assign({ ref: ref }, divProps), children));
};
export default ResizeDetectorDiv;
//# sourceMappingURL=resize-detector-div.js.map